Summary: A very simple and generic whois client
Name: whois3
Version: 3.2.2
Release: 2%{?dist}
License: GPL
Group: Applications/Internet
Vendor: Openintegra PLC <http://www.openintegra.com>
URL: http://whois.sourceforge.net/
Source0: whois3-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
AutoReq: no

%description
This is whois, a very simple and generic whois client. 
This client, unlike the classic whois client, does not 
check for supported flags at the client side, except 
for -h (whois host) and -p (whois port).

%prep
%setup
%configure

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
install -d -m755 %{_tmppath}/%{name}-%{version}-%{release}-root/%{_bindir}/
install -d -m755 %{_tmppath}/%{name}-%{version}-%{release}-root/%{_docdir}/%{name}-%{version}/
install -d -m755 %{_tmppath}/%{name}-%{version}-%{release}-root/%{_mandir}/man1/
install -m644 %{_builddir}/%{name}-%{version}/doc/* \
              %{_tmppath}/%{name}-%{version}-%{release}-root/%{_docdir}/%{name}-%{version}/
gzip -9 %{_builddir}/%{name}-%{version}/doc/whois3.1
install -m644 %{_builddir}/%{name}-%{version}/doc/whois3.1.gz %{_tmppath}/%{name}-%{version}-%{release}-root/%{_mandir}/man1/
install -m755 %{_builddir}/%{name}-%{version}/whois \
              %{_tmppath}/%{name}-%{version}-%{release}-root/%{_bindir}/%{name}


%clean
%{__rm} -rf %{buildroot}

%pre

%post

%preun

%postun

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_mandir}/man1/whois3.1.gz
%doc AUTHORS ChangeLog COPYING README NEWS doc/FLAGS.txt doc/HELP.txt

%changelog
* Wed Nov 07 2007 Vesselin Kolev <http://rpm.vesselin.org> - 3.2.2-2
- rebuild for Red Hat Enterprise Linux 5

* Tue Aug 07 2007 Vesselin Kolev <vesso@openintegra.com> - 3.2.2-2.el5.oi
- improve man page - whois3(1)
- build for Red Hat Enterprise Linux 5

* Sat Apr 14 2007 Vesselin Kolev <vesso@openintegra.com> - 3.2.2-1.el5.oi
- build for Red Hat Enterprise Linux 5

* Sat Jul 22 2006 Vesselin Kolev <vesso@openintegra.com> - 3.2.2-1.el4.oi
- build for Red Hat Enterprise Linux 4

